# HSTE

The purpose of this document is to assist the
incoming CompSoc Health Safety Training and Equipment Officer for the AY 2022/23

## Duties:

### Health and Safety:
-	Ensure that Health and Safety is a priority at all society events and meetings, and that hazards are avoided at all times.
-	Minimise the risk of CompSoc members being injured during our events.
-	Stay up to date with COVID-19 guidelines from UL Wolves C&S, University of Limerick,  and the Government, and make sure they are followed before, during and after our events.
-	Ensure the members are informed of safety measures required.
-	Review the Computer Society’s Safety Statement.
-	Report any accidents and injuries.
-	Report potential hazards at events to members.
-	Take responsibility for members during trips.
-	Ensure that the Society’s First Aid kit is stocked and in date, is available at events and is brought on trips.
-	Always check for food allergies and dietary preferences when food is being ordered.
-	As of Spring Semester 2022, sign-in at events is no longer required, however if it is required again it is your duty to ensure members are signed it at events, it may be wise to use this sign-in feature when going on trips away from Limerick

### Training:
-	If any members or committee want/require training, you should find where it could be acquired and organise it.
-	If it is required, make sure that at least 3 committee members, including you, complete the COVID-19 Officer short online course.
-	New people should be trained for running SKYNET, as the current situation of nobody on the committee being able to do root stuff is not ideal and has meant a few issues last year when there were power-cuts. Perhaps organise a meeting with those who can and find some trust-worthy people (ideally on the committee) who are passionate about tech and willing to learn 

### Equipment:
-	You are primarily in charge of equipment set up and teardown at UL Computer Society events. You don’t have to do everything but ensure that events that need equipment can run smoothly.
-	Maintain the log of equipment the society owns or subsequently purchases.
-	This list is currently haphazard  due to inability to access the server room during COVID-19. It may be wise to go through the list at the bottom of this page and double check that equipment actually exists and that quantities are up-to-date.
-	Maintain the log of borrowable equipment the society owns or subsequently purchases (small Arduino stuff / smart home stuff / raspberry pi / etc.)
-	Maintain the “Equipment & Preparation for that equipment needed for X event” guide.
-	Suggest possible new equipment the society needs and should buy.
-	You will not have a designated key for the server room, however there is a spare that the core committee can give you if you need to do things in the server room over an extended period of time. It is extremely important that the door is always locked as the equipment inside there is priceless and some of the server is virtually irreplaceable 

## Guide
### COVID-19:
Future CompSoc events may need to be organised in a sanitary regime. At the end of this document I added a possible preparations list for an event conducted under restrictions. That's only an example - always follow UL Wolves advice for all procedures. If contact tracing will be needed, the COVID-19 Day-Pass with attendance logs or contact tracing forms could be used next semester. More details about the pass here.
### Health and Safety:
Normally our events do not feature any high risk activities. When handling heavy objects (e.g. equipment for recruitment drives), make sure multiple people carry them. Be familiar with Health and Safety and COVID-19 statements on UL Wolves (https://cp.ulwolves.ie , https://ulwolves.ie/support/resources , https://ulwolves.ie/support/guide ) and propose an update if you feel it's needed. Maintain a safe environment, e.g. tuck the long cables away so members won't trip. Check members' dietary needs and allergies before ordering food. Always report all injuries and accidents (see the links above).
### Training:
Computer Society events require dealing with advanced equipment and technologies. If training or resources are needed by the members or the committee, you should organise it. You could help a member with a WordPress setup during an event, send a link to a YouTube tutorial, write instructions for an ESP project etc.
### Equipment:
CompSoc has a lot of equipment, adapters, cables which are stored in our Server Room in the Student Life building. Make sure there are people to help you handle equipment before every event. Get to know the "Equipment & preparations needed for X event" - it's a helpful checklist, it's attached below and the editable version is on 2020/21 Google Drive. It's your legacy - make sure you update and maintain it for future committees, and use it before every event. Remember that many events need early attention e.g. for VR events the Steam and the PC  need an update, preferably the day before the event in the evening or on the day in the morning. Don't forget about the cables, keep them in the right boxes - it's all attached below for your convenience.
The recruitment (rec) drive happened online last year. Usually the on-campus networking setup is done by CompSoc and you should keep your schedule open on that day. You should arrange the transport of the storage boxes with access points, routers and cables. The OPC might use their van (sprinter) and bring the equipment along with theirs over to the venue. The rec drive is the entire Society's responsibility, so you're not alone. Ask the more senior members for help and use your initiative to actively help out.

# Summary

As a Health, Safety, Training and Equipment Officer you should watch out for dangerous behaviours, review the Health and Safety and COVID-19 statements on UL Wolves website on a regular basis and ensure COVID-safe environment. Hopefully as the 2022/23 year progresses, COVID-19 will be less of a concern for the society. However, if it resurfaces it is a vital part of your role
You should make sure that if someone needs to learn something, you help them find useful resources. This could be a skill share course, a YouTube video or a helpful forum. You're basically google as a person. You are responsible for equipment, and you should plan what is needed before each event. You must prepare the equipment early, come 15-20 minutes before the events and make sure everything is set up, updated and charged. You should stay after events to tidy up and bring the equipment back to the server room (Last year the server room closed at 9PM so equipment needs to be in there at 8.55PM) - but make sure a few more people come early and stay late to help you carry the bulky equipment.
When you first read this document, you should transfer the "Equipment needed…" file to the new 2021/22 Google Drive folder; ask for a link on Discord. Same with the equipment list, and check out the docs attached below.
Finally, don't be afraid to try out something new. As HSTE Officer last year, I suggested we upgrade the 3D printer, this became 2 events, the first of which was one of our most popular events of the year. However, this has not been finished. All the parts are in a box in the server room, the instructions on finishing it can be found here : https://www.thingiverse.com/thing:2263216 , There is 1 3d printed part that is broken however it can be superglued. I unfortunately did not get to finish it before leaving for co-op . It could be completed as an event, or you could finish it yourself. If you need assistance with it, I will be happy to oblige. 

On the next page are examples of equipment required for certain events


## Equipment needed for X event
### Event with Restrictions:
Note: This is just an example, the situation is dynamic, always follow UL Wolves advice
#### Equipment:
-	Hand sanitizer. (Covid dependant)
-	Disinfectant wet tissues and/or spray ( (Covid dependant))
##### Prepare before:
-	Check for new COVID guidelines. Ensure the event can take place.
-	You might need to estimate how many people will attend if there is an attendance limit. UL wolves has this feature
-	Ensure the seats are spaced out (COVID Dependant)
-	Know the symptoms and procedures. Useful links here and there.

#### Vive Event
Equipment:
-	Vive
-	Gaming PC
-	A monitor
-	Keyboard and mouse
-	Kettle leads for both monitor and pc
-	Tripods for vive lightboxes
-	Hdmi cable for monitor
-	Display port to hdmi adapter
-	Speaker
-	AUX Cable for speaker
##### Prepare before:
-	Charge both vive controllers
-	Charge speaker
-	Turn on pc day before/that morning and let steam update everything first
-	Make sure you have steam password and pc password
-	Make sure all the cables are in the box and are put back in the box afterward
-	Lots of people to carry everything

#### PC Build
Equipment:
-	All pc parts
-	A monitor
-	Keyboard and mouse
-	Kettle lead for monitor
-	Hdmi cable and mini hdmi cable(camera) for monitor
-	Camera
-	Tripod
##### Prepare before:
- Charge camera fully

#### Social event - off campus (Unless in a bar like LevelUP or something)
Equipment:
-	Camera
-	First aid kit
-	Flag for photo opportunities.
##### Prepare before:
-	Make sure camera is charged

#### Generic event
Equipment:
-	Camera
-	Projector
-	Hdmi cable/vga cable
-	Speaker
-	Aux cable for speaker
##### Prepare before:
-	Make sure camera is charged

#### AGM
Equipment:
-	Camera
-	Projector
-	Hdmi cable/vga cable
-	Speaker
-	Aux cable for speaker
##### Prepare before:
-	Make sure camera is charged
-	Update Powerpoint year etc


#### Drone event
Equipment:
-	Camera
-	Projector
-	Hdmi cable/vga cable
-	Speaker
-	Aux cable for speaker
-	Drone
-	Flag
-	Guest speaker?
##### Prepare before:
-	Make sure camera is charged
-	Make sure drones are charged
