# Public Relations Officer

The purpose of this document is to assist the
incoming CompSoc Public Relations Officer for the AY 2022/23

## Duties:

The purpose of the Public Relations Officer in a Club or Society is to promote the society and its events. This includes but is not limited to:
- Informing the members of the society about upcoming meetings and events via weekly email.
- Updating the Societies Instagram page and other social media with promotional information and news. • Adding any upcoming society events, news stories, activities, and photos to the UL Wolves website for other UL students to see them.
- Distribution of promotional material for the society e.g., posters.
- Liaising with external companies or individuals in matters relating to the society e.g., organizing a guest speaker.
- Taking photos and videos at society meetups to be put on the Instagram page or distributed within UL Wolves for promotional purposes

## Guide

### Canva:
If you don’t have experience using the Adobe Suite or other 2D graphics software, I would recommend using Canva. Canva is a web-based graphics programme which has become hugely popular for social media marketing material. It is very easy and intuitive to use. It offers a variety of editable templates, stock photos and videos and more. I would suggest that the society invests in a premium subscription to Canva to allow full use of its capabilities.

### Adobe Suite:
Alternatively, you can also use Adobe Photoshop and Illustrator to create content for the society but these applications require a subscription which the society could possibly cover. These applications have a bigger learning curve but offer more creative freedom than Canva. The Affinity Suite is an alternative to Adobe which only requires a single purchase with free continuous updates.

### Design Guidelines
It’s very important to stick to the society’s branding. The society’s colours, logos, fonts and “personality” should all be considered when designing posters and social media posts. Designs should remain consistent and created in a way that they are recognisable as UL Computer Society’s events/announcements. Designs should communicate what the event/announcement is about not only with text but also graphics, composition and overall theme. Posters should engage the viewer visually and there should be a balance between text and visuals. Always ensure there is a hierarchy of text i.e. Name of Event -> Date and Time -> Location -> Additional Information. Make use of negative space, invisible margins and alignment of elements. Most importantly remember that less is more. As such don’t put too much on a design, make it simple but visually aesthetic.
Make sure to use the right size and format for different content. Instagram's graphics should generally be 1080px x 1080px and .png format. Instagram's photos should be the same size but .jpg/.jpeg. Instagram stories are 1920px x 1080px. Posters are usually A4 portrait in .pdf format for print and .png format for sending in emails/discord/social media. Consider where the design will be viewed and what that means for scaling of text/images/graphics too. Consider contrast and legibility.
The society has been using a font for the past few years that I think is time to update. The font doesn't scale well nor does it follow modern graphic design trends. I suggest exploring a new font to be used across all the society’s content. Updates have already been made to the logo to make it more digital friendly and modern, but you may also like to explore further iterations if you think it’s necessary.
Something that could also be considered as part of the PR Team, is the new role of a graphic designer if you feel like you are not well versed in graphic design. This is something you could discuss with the President etc.

### Photography
The society has a DSLR camera that you can use to take pictures at events, though if your phone has a high quality camera you could consider using that too, but it's good experience learning to use a DSLR so try it out!

### Social Media
Social Media is very important for the growth of the society. Instagram would be our most used platform. I would recommend not posting more than once a day however multiple Instagram stories are okay. Make sure to post a mix of pictures and graphics, you will find that pictures of society members and events get the most engagement. We have recently started experimenting with Instagram Reels and Quizzes. Reels amass a lot of views even from outside UL which is cool. Quizzes are a great way to engage our followers. Also post more society related memes.
As a PRO/PR Assistant you should try to be aware of what’s going on globally, nationally and locally. Things like International Women’s Day, Earth Day, April Fools, movie releases, technology events like CES, MWC, E3 etc. are all great opportunities to make related posts.
When responding to people through DMs on Instagram, I always think it’s a good idea to sign off the message with your name so the person knows who they’re talking to. It just humanises the society a little more.

## Summary
As a PRO/PR Assistant, always consider how you want the society to be perceived and this should be reflected across content and communication. Design is very important and time should be taken to ensure content is of high standard. Don’t be afraid to change things up a little for the betterment of the society! Try new things and keep up with modern PR, marketing and design strategies.
Good luck!
- Joel Olympio
