## Health, Safety, Training and Equipment Officer
#### Eoghan Conlon

The purpose of this document is to assist the incoming CompSoc Health, Safety, Training and Equipment Officer for the upcoming year 2023/24.

### Duties
#### HEALTH AND SAFETY:
* Ensure that Health and Safety is a priority at all society events and meetings, and that hazards are avoided at all times.
* Minimise the risk of CompSoc members being injured during our events.
* Stay up to date with COVID-19 guidelines from UL Wolves C&S, University of Limerick, and the Government, and make sure they are followed before, during and after our events.
* Ensure the members are informed of safety measures required.
* Review the Computer Society’s Safety Statement.
* Report any accidents and injuries.
* Report potential hazards at events to members.
* Take responsibility for members during trips.
* Ensure that the Society’s First Aid kit is stocked and in date, is available at events and is brought on trips.
* Always check for food allergies and dietary preferences when food is being ordered.
* As of Spring Semester 2022, sign-in at events is no longer required, however if it is required again it is your duty to ensure members are signed it at events, it may be wise to use this sign-in feature when going on trips away from Limerick

#### TRAINING:
* If any members or committee want/require training, you should find where it could be acquired and organise it.
* If it is required, make sure that at least 3 committee members, including you, complete the COVID-19 Officer short online course.
* New people should be trained for running SKYNET. 
  Perhaps organise a meeting with those who can and find some trust-worthy people (ideally on the committee and maybe in 1st or 2nd year) who are passionate about tech and willing to learn

#### EQUIPMENT:
* You are primarily in charge of equipment set up and teardown at UL Computer Society events. 
  You don’t have to do everything but ensure that events that need equipment can run smoothly.
* Maintain the log of equipment the society owns or subsequently purchases.
  * This list is currently haphazard due to inability to access the server room during COVID-19. 
    It may be wise to go through the list at the bottom of this page and double check that equipment actually exists and that quantities are up to date.
* Maintain the log of borrowable equipment the society owns or subsequently purchases (small Arduino stuff / smart home stuff / raspberry pi / etc.)
* Maintain the “Equipment & Preparation for that equipment needed for X event” guide.
* Suggest possible new equipment the society needs and should buy.
* You will not have a designated key for the server room, however there is a spare that the core committee can give you if you need to do things in the server room over an extended period of time. 
  It is extremely important that the door is always locked as the equipment inside there is priceless and some of the server is virtually irreplaceable.

### Guide
#### COVID-19:
Future CompSoc events may need to be organised in a sanitary regime.  
At the end of this document I added a possible preparations list for an event conducted under restrictions.   
That's only an example - always follow UL Wolves advice for all procedures.

#### HEALTH AND SAFETY:
Normally our events do not feature any high risk activities.   
When handling heavy objects (e.g. equipment for recruitment drives), make sure multiple people carry them.   
Be familiar with Health and Safety and COVID-19 statements on UL Wolves (https://cp.ulwolves.ie , https://ulwolves.ie/support/resources ,https://ulwolves.ie/support/guide ) and propose an update if you feel it's needed.   
Maintain a safe environment, e.g. tuck the long cables away so members won't trip.   
Check members' dietary needs and allergies before ordering food.   
Always report all injuries and accidents (see the links above).

#### TRAINING:
Computer Society events require dealing with advanced equipment and technologies.   
If training or resources are needed by the members or the committee, you should organise it.   
You could help a member with a Wordpress setup during an event, send a link to a Youtube tutorial, write instructions for an ESP project etc.

#### EQUIPMENT:
CompSoc has a lot of equipment, adapters, cables which are stored in our Server Room in the Student Life building.   
Make sure there are people to help you handle equipment before every event.   
Get to know the "Equipment & preparations needed for X event" - it's a helpful checklist, it's attached below and the editable version is on 2020/21 Google Drive.   
It's your legacy - make sure you update and maintain it for future committees, and use it before every event.   
Remember that many events need early attention e.g. for VR events the Steam and the PC need an update, preferably the day before the event in the evening or on the day in the morning.   
Don't forget about the cables, keep them in the right boxes - it's all attached below for your convenience.
The recruitment (rec) drive happened online last year.   
Usually the on-campus networking setup is done by CompSoc and you should keep your schedule open on that day.   
You should arrange the transport of the storage boxes with access points, routers and cables.   
The OPC might use their van (sprinter) and bring the equipment along with theirs over to the venue.   
The rec drive is the entire Society's responsibility, so you're not alone.   
Ask the more senior members for help and use your initiative to actively help out.

### Summary
As a Health, Safety, Training and Equipment Officer you should watch out for dangerous behaviours, review the Health and Safety and COVID-19 statements on UL Wolves website on a regular basis and ensure COVID-safe environment.   
In the event of another major global health emergency, it will be a vital part of your role to ensure that all of the Government, UL and C&S requirements are followed in the organisation and running of society events.
You should make sure that if someone needs to learn something, you help them find useful resources.   
This could be a skillshare course, a youtube video or a helpful forum. You're basically google as a person.   
You are responsible for equipment and you should plan what is needed before each event.   
You must prepare the equipment early, come 15-20 minutes before the events and make sure everything is set up, updated and charged.   
You should stay after events to tidy up and bring the equipment back to the server room (Last year the server room closed at 9PM so equipment needs to be in there at 8.55PM) - but make sure a few more people come early and stay late to help you carry the bulky equipment.
When you first read this document, you should transfer the "Master Equipment List" & “Equipment
Monitoring” files to the new 2023/24 Google Drive folder; ask for a link on Discord.   
Same with the equipment list, and check out the docs attached below.
Below are examples of equipment required for certain events