## PRO
#### Joel Olympio

The purpose of this document is to assist the incoming CompSoc PRO for the upcoming year 2023/24.

### Duties
The purpose of the Public Relations Officer in a Club or Society is to promote the society and its events.   
This includes but is not limited to:
* Informing the members of the society about upcoming events via weekly email and other relevant forms of communication (e.g. our Discord server).
* Updating the Society’s social media with promotional information and news.
* Adding any upcoming society events, news stories, activities, and photos to the UL Wolves website for other UL students to see them.
* Distribution of promotional material for the society e.g., posters.
* Liaising and communicating with external companies or individuals in matters relating to the status and reputation of the society.
* Taking photos and videos at society meetups to be put on the society’s social media or distributed within UL Wolves for promotional purposes.

The duty of the PR Assistant is to aid the PRO in all handlings of these tasks.

### Guide
As PRO of the Computer Society, it will be critical to not only be in tune with your committee members and what the society is doing, but also be aware of your members and their attitude towards the society.   
It is very important to understand what people’s interests are and how to communicate it to them, and how they know about the society and how they get the information about what we do.  

The most important piece of advice I can give right from the start is that UL has a lot of clubs and societies, and in a way, it can get competitive: So learn how to stand out from the crowd.  

For 22/23, social media took a backseat due to some technical issues at the start of the year but as time went on we still never really relied on it for PR.   
Most people read the emails and discord announcements as they are direct channels of communication: Just using social media for announcements, which may give us a foothold into the wider world and put us out there more, isn’t as useful as it sounds as most students are likely to just scroll past.   
If students want to hear about what we do, they will be in tune with our direct means of announcements (emails and the Discord).   
This is not to dismiss social media however, as it can still play an important role in PR.   
It is very useful for building brand and personality and for building an audience outside of UL, but it can be tough work.   
Use it for content, and for showing the wider world what the society is doing. Use it for fun stuff and for getting involved in the wider world of computer science.   
This can allow the society to build an audience outside of UL and could even lead to interuniversity events and communication, something that could prove very useful for our growth.  

Of course, this knowledge is useless if you don’t really know what to put out there.   
One definite improvement this year was regarding the writing of the emails and announcements.   
While it may seem superficial at first, it did improve people’s interest in the society and people anticipated announcements more.   
If you want to have a look at them for yourself, you can check them out in the server’s announcements channel.  

Another important part of your work will be graphic design. Good posters can gain a lot of attention.   
If you want to see some examples, you can also check them in the Discord server’s announcement channel.  
Social Media is very important for the growth of the society.   
Instagram would be our most used platform.   
I would recommend not posting more than once a day however multiple Instagram stories are okay.   
Make sure to post a mix of pictures and graphics, you will find that pictures of society members and events get the most engagement.   
We have recently started experimenting with Instagram Reels and Quizzes.   
Reels amass a lot of views even from outside UL which is cool.   
Quizzes are a great way to engage our followers.   
Also post more society related memes.  

As a PRO/PR Assistant you should try to be aware of what’s going on globally, nationally and locally.   
Things like International Women’s Day, Earth Day, April Fools, movie releases, technology events like CES, MWC, E3 etc. are all great opportunities to make related posts.  

When responding to people through DMs on Instagram, I always think it’s a good idea to sign off the message with your name so the person knows who they’re talking to.   
It just humanises the society a little more.  


### Summary
As a PRO/PR Assistant, always consider how you want the society to be perceived and this should be reflected across content and communication.   
Design is very important and time should be taken to ensure content is of high standard.   
Don’t be afraid to change things up a little for the betterment of the society!   
Try new things and keep up with modern PR, marketing and design strategies.  

Good luck!  
- Joel Olympio
