## Secretary
#### Irene Lopez Quiles

The purpose of this document is to assist the incoming CompSoc Secretary for the upcoming year 2023/24.

### Duties
The duties of the Secretary include:
* Taking minutes at meetings.
* Distributing the minutes during committee meetings and AGMs.
* Creating a topic summary of what should be put in the weekly email for the PRO
* Working with the president to ensure people are completing their tasks/roles and offering assistance where needed.
* Helping to organise other things as needed along with other committee members

### Guide
Your primary responsibility as Secretary is to take detailed minutes during committee meetings and Annual General Meetings (AGMs).   
These minutes serve as a vital record of the society's decisions and discussion topics.   
It is crucial to upload these minutes to the designated Google Drive for the 2023/24 term, either by creating Google Docs during the meeting or transcribing handwritten notes afterwards.   
This ensures accessibility for all committee members.   
At the end of the year, you will also need to upload all the accumulated minutes to Wolves, serving as a permanent record for future committees.

During meetings, you should record the following information at the beginning:
* Date and time of the meeting
* Present committee members
* Excused committee members (those who have notified in advance of their absence)
* Absent committee members

During discussions, it is important to record:
* Main points and topics discussed
* Key bullet points or summarized ideas that were raised
* Decisions made, such as event prizes, event location, task assignments, and important discussions that require detailed descriptions

Your recordings may consist of rough sentences that may not be grammatically perfect, as long as they convey the essence of the conversation and decisions.   
It is essential to note down volunteers or individuals assigned to tasks.   
Alternatively, you can create a to-do list for all committee members and email it to them, ensuring everyone has a record of their responsibilities.  

At the end of each meeting, create a bullet point summary for the weekly email, acting as a template for the PROs (Public Relations Officers) to include all key information.  
This summary should include:

* This week's event details (date, time, location)
* If event signup is required, include a signup form link for the PRO to include
* Event cost (if applicable)
* Specifics needed for the event poster
* Zoom link / Discord link / Skynet meet link for online events
* A teaser for next week's event
* A poster may be included for "this week's event" but not for the following week, unless it is a significant event like the Show and Tell or a major Guest Speaker event
* Skynet update for any issues or important announcements
* Any other society news

Outside of committee meetings, you can assist other committee members as needed.   
As Secretary, your experience within the society, as a former regular committee member, and possibly as a regular member, provides valuable knowledge and expertise.   
You can support junior committee members by sharing your insights.   
In the computer society, we aim for ambitious events that require extensive planning and effort.   
We strive to distribute the workload evenly among the committee members to avoid overwhelming anyone.   
As Secretary, you can be a versatile resource and provide assistance where needed.

### Summary
As a support role within the team, your contribution may be in smaller but valuable ways.   
You play a crucial role in keeping track of tasks and their progress through the use of to-do lists.  
Additionally, you are responsible for recording the minutes during meetings and providing support to the Public Relations Officer (PRO) by summarizing the necessary content for the weekly emails or social media posts.  

During committee meetings, it is your responsibility to raise any matters that are pending or require the committee's attention from the previous meeting.   
This ensures that the society stays on track and avoids falling behind on important tasks.  

The position of Secretary offers an excellent opportunity to gain a comprehensive understanding of the society as a core member.   
You will have the chance to explore various aspects of the society and contribute to making significant decisions.

Moreover, serving as Secretary can serve as a valuable stepping stone towards potentially assuming the roles of President or Treasurer in the following year, if you desire.  
Irene Lopez