## Treasurer
#### Dawid Kocik

The purpose of this document is to assist the incoming CompSoc Treasurer for the upcoming year 2023/24.

### Duties
The main duty of the treasurer of UL Computer Society is to manage the finances of the society, so that the society can grow.   
This may involve the following tasks:

* Transferring the **bank mandate** and online banking admin details with Bank of Ireland (BoI)
* Planning income and expenditure for this year (income : (expenditure + projections) = **1:2 ratio**)
* Requesting capitations after large purchases
* Ensuring we use our **capitations**
* Projecting expenditure for next year
* Uploading **ALL receipts and bank statements** to UL Wolves website
* Ensuring our budget points stay intact
* Issuing **invoices** e.g. for the C&S Fair
* Ensuring we receive **sponsorships** where relevant
* Collecting money from members (event fees, memberships)
* Lodging in **cash** to Bank of Ireland branch (beside Spar by the Flagpoles)
* Collecting the CompSoc post (top floor in Student Life)
* Keeping the bank documents in order
* Planning the budget part of the trip and making a projection early, if relevant
* Doing the **annual budget before deadline in May**

### Guide
As Treasurer, you're in charge of the society's finances.   
You need to make sure the committee makes good financial decisions.   
Sometimes this means telling them to save money, but other times you might have to encourage them to spend.   
It's important to use the capitation funding for activities that benefit the society so that we get enough funding in the future.  

Attend a treasurers workshop to understand the budget process and earn budget points. Keep receipts (must say "PAID") for all expenses, as invoices and packing lists are not accepted.  

After the AGM, change the bank mandate with the new core committee and create online banking for the president and treasurer, with the option to add the secretary.  
For latest documents needed for online banking, contact Pamela Barry (pamela.barry@boi.com).  
For Business Online banking we need 2 admins, treasurer and e.g. secretary or president.  
Get a proof of identity (e.g. national ID card/driving license (and proof of address (e.g. electricity bills) for each.  
Bring those to the bank.   
To log in for the first time, call BoI having our bank account number ready.  
They give you login details for the "Approve" app.  
Activate it, then go to
Business On Line : Login (businessonline-boi.com).  

During one of the first committee meetings, do a quick walkthrough session on the budget points on ulwolves.ie, so that everyone can plan on how to earn points, what events are needed for that (e.g. seminars, show cases, guest speakers).  
We can earn 100 points.

Get sponsorships.   
For example, for coding competitions (e.g. Redbull cans), merch (we had Analog Devices logo on CompSoc hoodies), and QR code Easter egg hunt (Artista Networks).

Do the record keeping on cp.ulwolves.ie:
* Record income, attaching bank statements (from post, can generate them online too)
* Highlight the relevant entries using e.g. MS Edge's built-in PDF editor
* Record expenditure, attaching receipts as images
* Upload bank mandate proof
* Make the trip budget projection
* Make equipment purchase projections

Every quarter, before 16th of November, January, March and May, ensure there are at least 2 items of expenditure and 1 of income.   
Record cash income with a duplicate booklet in one of the cash boxes: we have 3 of them, only the grey one is used during our events.  

In the budget system, each expense has a digital receipt that will be reviewed and approved or denied.  
Always record up to date receipts on Google Drive, uploading the receipts and naming the files so that you always know when an expense was made and for what event it was.   
If a receipt is denied, talk to Lisa or Aisling to fix it.   
After Recruitment Drives, issue an invoice for €2,500 to C&S office for "I.T. Services" and use supplier ID 14521 for UL payments.   
Templates are on Google Drive.

Keep around €2,000 in the bank account every year as a float for purchases.   
Don't use this money unless it will be replenished.   
This is very important for running CompSoc.   
We must request for the money allocated to us at the start of the year.   
If you need help, attend the treasurer workshop or ask Lisa in Student Life.  

When buying equipment over €500, including Skynet server equipment, make sure it gets added to the 3 year plan.   
For making purchases, add a committee member as payee on online banking.   
Then, the committee member pays with their own money, they send you the receipt and you reimburse them by standard transfer from our society's bank account.   
If in doubt about anything, ping Dawid (dawid#6669), Evan(thenobrainer#6969) or Conor (cwalsh#4757) on Discord or help.  

### Summary
Being the treasurer is one of the most important roles in the Computer Society.  
Make sure you plan income and expenditure, either use or project all the funds which we have available.  
Perform ALL duties in the top section, try to stay creative, and enjoy your time here.  
Budget is a team effort: always work with the committee. 

Best of luck!