## Profile Speakers

This year 30 members of Computer Society attended PyCon 2023 in the Radisson Blu Royal Hotel Dublin.  
PyCon is an international conference about the programming language Python.  
There are several PyCon conferences run in Europe each year, with the Dublin one being one of the largest ones.  
As such there is a large variety of top tier and distinguished presenters.  
While it is a two-day event we were only able to attend the Saturday of it.   


### Pablo Galindo Salgado
#### The snake of Theseus
Pablo was the keynote speaker for Saturday of this conference.  
His presentation was focusing on how the language itself has changed over time, so much so that the original code has all been replaced.  
Yet it is still Python.   
Even with Countless contributors over the years Python has changed, yet remained the same.  
Different syntax, personalities and methodologies have contributed to shaping the language to what it is today and inspiring it forwards into the future.

![Pycon Info card on Pablo Galindo Salgado](11._Profile_Speakers_01.png)

### Mia Bajić
#### The Standard Library TourK
Mia is a regular speaker at Python Conferences as well as co-organising the Prague PyCon in 2023.

Her talk was aimed at enlightening attendees by informing them of the tools they did not know they needed, the unknown unknowns.  
She opened up the powerful functions and methods contained within the inbuilt library to show us what we had been missing before now.  
It was quite interesting seeing the emotions flash through the audience when folks realised that there were inbuilt and easier ways to handle objects and arrays.  
Everyone left the lecture hall knowing far more than they entered.

![Pycon Info card on Mia Bajić](11._Profile_Speakers_02.png)

### Rodrigo Girão Serrão
#### How to implement a Python-like programming language
Rodrigo is an educator for mathematics and Python, particularly in the area of data processing and analysis.

His main section in the conference was a workshop on how to create a new programming language by using Python.  
This was an engaging introduction to compilers, a topic that is only covered by Computer Science in 4th year.  
Within the two hours participants had constructed a small functional language and were given the tools/knowledge to work on it further.
Several of the attendees from our group have continued to work on their own language, taking inspiration from this workshop


![Pycon Info card on Rodrigo Girão Serrão](11._Profile_Speakers_03.png)

### Steve Holden
#### The death of PyCon
Steve is the founder of PyCon.  
He has been the Chairman and a director of the Python Foundation.

He had the honor of opening the Lightning Talks for the conference.  
Lightning Talks are 5-minute presentations where anyone can volunteer to present.  

His chosen topic was ``The Death of PyCon`` where he outlined that community run events die if all the attendees stand back and watch.  
The way forward is to roll up your sleeves and pitch in, in doing so it is a far better experience for all involved.

<<https://www.linkedin.com/in/holdenweb/>>
