## Points for Budget
This file is to organise the written part of the [points][0] for the budget.  
See [last years submission][1] for more details.

Any extra PDF's can be found [here][6]

[0]: https://cp.ulwolves.ie/budget/points/2023
[1]: https://cp.ulwolves.ie/budget/points/2022
[6]: https://gitlab.skynet.ie/compsoc1/compsoc/open-goverance/-/jobs/artifacts/main/browse/pdf_Budget?job=pdf

### 7. Committee Development
#### Instructions

> * 5 Points - Based on Computer Society having a minimum of 5 core committee members: Chairperson, Secretary, Treasurer, PRO, and Health & Safety Officer (this will be checked online so be sure that your Committee details are up-to-date)
>   Societies are deemed to be low risk and therefore they can double up their H&S officer responsibilities with another core committe members, i.e. they must have a minimum of 4 core committee members
> * 2 Points - For uploading good quality handover documents to the HANDOVER DOCUMENTS page (each core committee person must submit their own handover document, 1 per position)
> * 2 Points - For uploding all committee meeting minutes for the past academic year to the COMMITTEE MINUTES page
> * 3 Points - For evidence of managing your Financial affairs (for Bank Statements use the BANK BALANCES page)
> * 1 Point - For providing information to the C&S Office if required or asked to do so throughout the Academic Year

#### Notes
* For most committee this relates to handovers.
* Handovers PDFs can be found [browse][3] [download][4]
* Minutes PDFs can be found [browse][5] [download][4]
* See [Last years section][1] for guidelines

[3]: https://gitlab.skynet.ie/compsoc1/compsoc/open-goverance/-/jobs/artifacts/main/browse/pdf_Handovers?job=pdf
[4]: https://gitlab.skynet.ie/api/v4/projects/57/jobs/artifacts/main/download?job=pdf
[5]: https://gitlab.skynet.ie/compsoc1/compsoc/open-goverance/-/jobs/artifacts/main/browse/pdf_Minutes?job=pdf

#### Details
See [the separate file](07._Committee_Development.md) for the full details.

### 8. Performance 
#### Instructions 

> * 2 Points - If Computer Society have no creditors outstanding (any outstanding debts have been cleared prior to budget submission)
> * 3 Points - If Computer Society has had no grievances throughout the year (if you have had a grievance and have dealt with it in a a good and fair manner the office will deliberate on points to be awarded)
> * 4 Points - Overall and General Track Record of Computer Society
> * 3 Points - Attendance at Council over a 3 year period as a percentage of total meetings (assessed based on sign-in records)


#### Notes
* This is mostly for Treasurer to ensure no outstanding debts.  
* Aside from this it relates to our actions over the past year/3 years
* See [Last years section][1] for guidelines

#### Details
See [the separate file](08._Performance.md) for the full details.


### 9. Publicity
#### Instructions

> * 5 Points - Collective Platform: Regular updates on ulwolves.ie (NEWS / EVENTS / ACTIVITIES / FIXTURES - these must have been entered at the time and can't be backdated)
> * 4 Points - Computer Society Individual Publicity (Computer Society's own social media, text groups, email groups, posters)
> * 2 Points - Internal UL Media
> * 2 Points - External to UL Media
>  
> Evidence of all must be attached

#### Notes
* This is for PRO's.
* Its an important reason to add the event on time to Wolves on a weekly basis.
* Have links to posters (can link to this repo by using ``https://gitlab.skynet.ie/compsoc1/compsoc/open-goverance/-/tree/main/Events/2023-2024`` as a base), 
* Photos of emails/discord.
* See [Last years section][1] for guidelines

#### Details
See [the separate file](09._Publicity.md) for the full details.

### 10. Guest Speakers

#### Instructions
> Any speaker such as local councillors, local activists that do not satisfy the criteria of a profile speaker
> 
> This speaker must be respected either inside or outside their field of expertise
> 
> Computer Society must provide a biography of the speaker detailing their achievements to date and explaining why they are a profile speaker
> * Politicians/Journalists with a national and/or international profile
> * TV/Showbiz personality
> * Accredited Academic - within UL and/or are considered one of the most eminent experts within their field
> * High Profile Industry/field of speciality

#### Notes
* See [Last years section][1] for guidelines

#### Details
See [the separate file](10._Guest_Speakers.md) for teh full details.


### 11. Profile Speakers
#### Instructions
> This speaker must be respected either inside or outside their field of expertise
> 
> Computer Society must provide a biography of the speaker detailing their achievements to date and explaining why they are a profile speaker
> 
> * Politicians/Journalists with a national and/or international profile
> * TV/Showbiz personality
> * Accredited Academic - within UL and/or are considered one of the most eminent experts within their field
> * High Profile Industry/field of speciality
> 
> Any other speaker such as local councillors, local activists that do not satisfy the above would be regarded as ordinary speakers


#### Notes
* We can use SISTEM/PyCon for this
* See [Last years section][1] for guidelines

#### Details
See [the separate file](11._Profile_Speakers.md) for teh full details.

### 12. Events
#### Instructions
> Computer Society events are those that involve a level of organisation above a normal weekly meeting/training/class session
> 
> An event involves at least two of more of the following logistics: organising a venue, speaker, accommodation, reception, transport, special advertising, special pre-training, entry fee, etc


#### Notes
* See [Last years section][1] for guidelines

#### Details
See [the separate file](12._Events.md) for the full details.


### 13. Showcases 
#### Instructions

> A Showcase Event is assessed to be "SHOWCASE" if it will bring with it an increased workload and planning beyond the normal levels of the Society
> 
> If the event has been held before, the effort involved shall be on par or greater than the previous attempt
> 
> * Pre-Planning – possible Computer Society sub committee
> * Higher associated costs
> * Successful Sponsorship
> * Attempt to involve the broader campus community beyond their own membership and/or external involvement via wider community or other third level institutes
> * Visible Profile on campus including a media profile
> * Prestigious speakers-politicians and personalities
> * Campus Based event


#### Notes
* We can use the joint Computer/GamesDev/Games event for this ([event details][2])
* See [Last years section][1] for guidelines


[2]: https://gitlab.skynet.ie/compsoc1/compsoc/open-goverance/-/blob/main/Events/2023-2024/Semester-2_Week-12.md?ref_type=heads

#### Details
See [the separate file](13._Showcases.md) for the full details.
