## President
#### Irene Lopez

The purpose of this document is to assist the incoming CompSoc President for the upcoming year 2024/25.

### Duties
The position of president comes with the duties of running both a society and overseeing the Skynet Cluster.  
These duties include:

* Overseeing the running of the Computer Society
* Coordinate the training of new committee
* Finding resolution in cases of dispute among committee and members
* Chair all meetings of the society and prepare an agenda for each meeting beforehand
* Organise and manage a team of society members for both Recruitment Drives
* Liaise with C&S Development Officer (Paul Lee) in areas that need to be discussed e.g. details for the C&S recruitment drive and Redevelopment Fund
* Scheduling events and assigning tasks to committee, making sure all other committee members are doing their jobs and provide help when they need it
* Ensure the growth of the Computer Society in general
* People will approach you at events with ideas and suggestions be receptive to everything. 
  Keep a list if multiple different ideas come in and try to do them and do new stuff throughout the year.

It is not the president’s job to do all of the work for the society, if tasks are not delegated properly or are not being carried out, you will end up with a lot of work to do and the end result for the society could be worse events.

### Guide
As President, you will be responsible for the general running of the society and the committee.   
You should have a good understanding of the Clubs and Societies constitution found on wolves.ie under Resource Documents.   
Be aware that the Computer Society has its own constitution too that must adhere to. This can be found on our google drive.
   
The computer society has typically been a group of people whose common interest is computers but have interest in much wider fields.   
You need to make sure that there are things happening to keep members interested and engaged in the society.   
It doesn't always have to be deeply technical, not everyone will be interested in heavily technical meetups, even something as simple as meetups over a few pints helps keep things running.   
It is important to try and have some variety in the meetups also to ensure that everyone is interested. These meetups usually fall into one of the categories of Programming, Electronics, Technology and Social.  
We simply meet up in a location usually Room 3 (Make sure to block book it early on in September AND again in early January before college starts).   
  
PR is important for the society this needs to be really kept on top of.   
Ensure consistent emails are sent out, make sure you understand how the email mailing list works.   
One tip that we found worked well was to have multiple people help out with writing the email.   
Have people write quick paragraphs on sections if they are more knowledgeable on it than the PRO and post it in the PRO chat in our Discord server.   
Use that chat as a hub to add all the info the PRO needs for the weekly emails and Instagram posts etc.   
Usually PRO sends the email to the president or put it into the PRO chat before it was sent out to the society.   
Our social media is something that should be used and maintained for the whole year.
Also make sure that the emails do go out before the events start and keep on top of the status of how ready the email is.   
Offer to write parts of the email for the PRO or even send the email the odd week for the PRO to give them some time off.   
Also make sure to keep Wolves updated, the news and activity sections should have all the event details as well.

We aim to have money in the budget this year to have twenty meetups, there should also be money for two social meetups.   
The social meetups have been historically held in Scholars.   
The most important thing to remember is quality over quantity.   
Maybe plan bigger events 2 weeks in advance and skip a week.

Events should be organised based on the wants of the members of the computer society but try to have a variety.   
For example, if a large base would like to see how to set up WordPress, then you should try to organise a workshop on this.  
However, you can't keep everyone happy, so don't try. Your main objective is to have vision, direction and come to conclusions, not to keep the committee happy.   
You will make decisions which people will disagree with, but if you have a good committee, they will respect the differences of opinion and move on.   
It is up to you to foster the kind of intra-committee relationships that will allow respectful differences of opinion instead of destructive bickering.  

As President, you chair the committee meetings and the societies AGM.   
On previous years, Committee Meetings were made early on the week (usually Mondays), but that didn't give much time to organise the event (Wednesday), so this year was changed to Thursdays and it worked very well.   
Ideally, all committee members should join the meeting, but it can happen that they can't attend for any reason. I would recommend you to ask them to advise you at least two hours before the meeting starts and to try not to skip many.  
You need to ensure that an agenda is prepared before each meeting and email it out to committee a few days beforehand for review. 
One recommendation is to set up the thread on Discord with some points days before the meeting, so other people can add up more points to the thread and it gives you time to prepare the agenda.  

Committee meetings can be held in the Server Room, but being flexible is always good, so some people can join online if they can't make it in person.   
Booking a room in the library is also very easy for larger meetings, or if the building is closed.        
It's up to you to ensure all those present get a fair chance to put their point across.   
It is also important that you know what's happening within the society at all levels.   

Since the President is frequently looked up to as the leader (even subconsciously) it is important to hold your own opinions until the others have outlined theirs first.   
Allow the discussion to develop before you bring your own opinions to the table, quite often this will be the conclusion of the discussion, with your opinion shaping the final decision of the committee rather than influencing the discussion from the outset.   
You also need to keep the committee meetings moving and not allow the committee to become “bogged down” on any one issue.
If any other issue requires major attention a separate meeting should be called with some committee members. 
  
If the society is buying stuff always try to get a discount or sponsorship as this saves us money and can count as income.   
The society has secured a lot of money in sponsorship through the years and this was done by directly contacting companies that we were planning to buy stuff from explain who we were and offer them exposure.   
It doesn’t always work but we have been very successful at doing this. 

The budget is a very important process and should involve as many committee members as possible throughout the year, it should not be left to one person at the end of the year.   
Irregular Expenditure should be voted on by committee. You should be able to look at the submitted budget from the end of September onwards.   
Budget points are very important, and you should always be on the lookout for opportunities to gain more points.   
Points are given for Guest Speakers, High Profile Speakers, Events, Showcase Events (Big on campus events), Publicity, proper minutes, proper use of Wolves.ie, etc.   
At the end of your tenure as President, you must make sure that the incoming President is well briefed on the role.   
If possible, it is advisable to retain a role on the next committee to facilitate the transition but be wary of being a backseat President.   
If you know in advance that you won’t be seeking re-election as President, you should let the committee know this and start grooming a successor from within the current committee.   
You should work to ensure good continuity from one committee to the next.    

As the second semester progresses you should be listening to the existing committee about their intentions for the following year, especially core positions.   
If people are not planning to take up the same roles the following year, you need to be thinking about who might replace them.   
Canvass the committee members for interest in shadowing the core positions with a view to taking over the following year.   
On this basis, it’s important to have a good crew of OCMs on board, use the less important positions to bring new people on board each year and ensure they are engaged in the work of the committee through the year.  

### Summary
In conclusion it’s a big job with massive responsibility.   
It will test you and you will gain new skills when dealing with people.   
Appreciate the massive work done by your committee.   
This is what makes the society great, you can always ask someone for help.        
Don’t be the one stuck with all of the work, delegate tasks.   
Best of luck and I look forward to seeing the impact you will make on the society.
