## Treasurer
#### Eoghan Conlon

The purpose of this document is to assist the incoming Treasurer for the AY2024/25
### Duties
The main duty of the treasurer of UL Computer Society is to manage the finances of the society, so that the society can
grow. This may involve the following tasks:
* Transferring the **bank mandate** and online banking details with Bank of Ireland (<u>BoI</u>).
* Planning income and expenditure for this year (income / (expenditure + projections) = **1 + 2 ratio**)
* Requesting capitations after large purchases
* Ensuring we use our capitations
* Projecting expenditure for next year
* Uploading all receipts and bank statements to UL Wolves website
* Ensuring our budget points stay intact
* Issuing invoices e.g. for the C&S Fair
* Ensuring we receive sponsorships where relevant
* Collecting money from members (event fees, memberships)
* Lodging in cash to Bank of Ireland branch (beside Spar by the Flagpoles)
* Collecting the post
* Keeping the bank documents in order
* Planning the budget part of the trip and making a projection early, if you are planning one
* Doing the annual budget before the deadline in May.
* Attend the yearly treasurer's workshops
* Attend some C&S Council meetings

### Guide
As Treasurer, you are in charge of the society's finances. You need to make sure the committee makes good financial
decisions. Sometimes this means telling them to save money, other times you have to encourage them to spend it. It's
important to use the capitation funding for activities that benefit the society so that we can get enough funding in the
future.

I mentioned in duties that you are to attend the yearly treasurer's workshops, these dates will be communicated with
committees some time in advance of the workshops. I would advise you to attend, but it is possible that if you are on work
placement and are unable to attend the workshop yourself to ask another committee member to attend in your stead. 

All receipts must state paid, or be obvious that it is paid, examples of this are:
* Invoices that state that there is no balance remaining, or mark that they have been paid in some way shape or form
* Receipts from shops that either state card payment or cash payment
* Electronic bus tickets if required for a trip.

On receipts, get them uploaded to the Nextclod drive in the with the name format ``YYYYMM-{Event}-{Person}.{extension}``
and upload them to wolves on a regular basis as they may be worth budget points (8 total, 4 per semester, 2 per quarter).
Unfortunately budgets only get released around week 3 or 4 as capitation available is based on attendance at the admin
seminars in weeks 1 and 2 of each semester.

Mentioning the admin seminars above, as a core committee position, you, along with the other core positions, (President,
Secretary, PRO & HSO) must make up one of the 2 attendees at C&S Council, so if it is possible for you to attend some of
them please do so, the other attendee just has to be a committee member.

After the AGM, you have to begin the process of getting the change of admins on the Bank Account, these are at least the
President and you, sometimes we have the secretary, though it is possible for another core committee position to take the
place of either the President or secretary as signatory if required. There is more information in regard to this on Nextcloud
due to the nature of the information.

It is also your responsibility to invoice C&S for the networking services that we provide at the C&S fairs each semester,
we are to bill them €2500 after the second semester one, there are more details available on the document on Nextcloud 
where I go into specifics on it. The template for the invoice will be on Nextcloud too.

We need to remember to keep arround €2000 in the bank account as a float for purchases. This money must be replaced every
year. 

When making large purchases, it must be added to the 3-year plan. Purchases are made first by a committee member and then
they are paid back, generally by Electronic Funds Transfer to the committee member.

There are 2 types of events where we would be accepting payments, trips and fundraisers. For trips, I would advise that 
we use the Stripe payment facility available through the event on UL wolves, while there is a charge applied to this by
Stripe, it makes things easier on our end as we don't have to keep track on who had paid and who hasn't paid. As for the
fundraising events, we can accept cash or electronic payments. Cash is simple enough, you take the **lockable** lock box.
For electronic payments, I would advise the incoming committee to get one of the Sum up or Square card readers to process
card transactions, while there may be fees involved in this, it is one less job for you to get the money into the account
this way then the alternative of taking payments over Revolut.

If you are in doubt about anything, ping Eoghan (eoghanconlon73), or the advisors role on Discord for help.

### Summary
The Treasurer is one of the most important roles on committee, it helps with the running of the Society. Make  sure that
you keep the receipts up to date, and plan the income and expenditure, and always remember to project all the funds that
we have available. Also remember that filling in the Budget is a team effort, get help with it. Most importantly enjoy 
your time on committee. Best of luck for the upcoming academic year!
