# C&S Fair
Original version was [here][0]

This is for the major C&S Fair in the Arena.  
While Compsoc was involved with the smaller ones (in a tent outside student life, Concert Hall lobby) those are unlikely to take place again.  
Rather the lobby of the new Student Building is most likely.

## Before
### Equipment Check (Cables, switches, WAP)
Before the fair check, the network cables.  
Make sure they’re all bundled up correctly and use some of them and connect them to a laptop to see that they work.   
The cable tester can tell you the length of the cables and then if you want and have time you can label the longest to shortest cable.   
This could save you some time in the morning getting the cables to the pods which connect to the switches.  

![CnS_Fair.png](./images/CnS_Fair_0.png)

Check that all the network switches work and that you have the main switch with you that feeds to all the pod switches.   
This is vital so we can distribute the gigabit connection correctly to the others.   
Do the same thing with all the wireless connectors.  

The next thing to check is that all the black doubled-up bundles are still working and in the correct groups.   
They will need to be in groups of 8-10 pairs depending on the pod layout that is being used.  


### Transport, Opening hours, Volunteers, Alumni, Committee
Next is to gather volunteers. Your members are the best place to go.   
The morning is the most important time to get set up so try and get 5 to 6 at least to show up throughout the morning.   
This will make dealing with problems and the initial setup much easier.   
Reach out to the Discord with a form to see when people are available.   
Also, try to convince the whole committee to help out as much as possible.   
Paul can write notes for lecturers if people can’t miss lectures but it's week 1 usually so it should be fine.   
You could also kindly ask alumni to help. Definitely have a call with them beforehand to make sure you have a good idea of what to do.  

Contact OPC to organise a time that suits everyone to load the Sprinter with the equipment.   
Preferably the evening before so you can hit the ground running the following day.  

Make sure the opening hours of the Student Life building are suitable for early and late start and finish respectively and that you can get into the building outside hours as well.

### ITD - Open network port
Contact Martin and make sure a port is open for us or will be opened for us so that we can use our main switch on the day.   
The last one was up on the running track so you’ll have to get creative on how to get the cable up there and in such a way that it doesn’t impede users of the running track.   
We just walked around the track with a laptop and an ethernet cable to see which one gave us gigabit.

### Pod layout
Aisling will try to keep the number of tables in the pods the same every year and if she doesn’t she should tell you.   
If it changes and there are more than 8 tables in the pods you can explain to her that we wouldn’t have enough cable bundles for the pods.   
She’d have to change it or ye just make more bundles in advance and buy similar length ethernet cable or use and make some in the server room with whatever is left.  


## Morning
In the morning it is important to hit the ground running. First thing to do is make sure ye have all the equipment and start with the purple cables.  

Purple cables, figure out which one is the longest and which one is the shortest and sort the others in between to identify which cable has to go to what pod.   
The longest one to the furthest one and the shortest one to the closest pod etc.  

Power, see if you can ask the lads in the arena to also have the power lines attached to the metal wires spanning the arena.   
This will save you time and allow ye to just add your extension leads and go from there.  

![CnS_Fair_1.png](./images/CnS_Fair_1.png)

Switches (Main and Pod), The main switch should be located closest to where ye have your main internet connection.   
From there connect all the other single switches located at the pods to the main one.  

![CnS_Fair_2.png](./images/CnS_Fair_2.png)
![CnS_Fair_3.png](./images/CnS_Fair_3.png)

WAP, Each Pod also gets a Wireless Access Point which you can also connect to the switch in the pod and they all have different passwords.   
Ye should have them, if not email me and I can find them.   
They should also be on the computer society laptop.   
Print a load of copies to hand out on the day to C&S in the pods for the relevant WAP.  

Black cable bundles, these are the ethernet cables that the C&S members use to connect their laptops.   
They should be organised into pairs and one pair per table in the pod, one end connected to the pod switch and the other end fed through the pod tube for the committee members to use.  

![CnS_Fair_4.png](./images/CnS_Fair_4.png)
![CnS_Fair_5.png](./images/CnS_Fair_5.png)

## Evening
In reverse order, try to keep the paired black cables together.   
Try to tidy it back up into the boxes as neatly as possible to have little work to do before the next sign-up fair.  

Order Pizza!!!!!!! for anyone who helped at the end and throughout the day if they’re still around.   
Maybe take note of who showed up in case ye do any trips this might help ye to decide who can go.   

Invoice C&S for the service, we should have a previous invoice on the drive.   
Just reuse that and send it to Lisa.

## Contacts
*	Aisling, Paul, Lisa.  
  They are there to help ye with anything and ye can probably get any updated contact details from them for the following important people for ye to contact.  
*	Martin Moran (ITD) give him your phone number and email him about the day to make sure he knows who's running the setup.  
  He will make sure a port is open for ye to use and contact him for any relevant IT issues.  
*	OPC - They help with the transport of the equipment to and from the server room.   
  Get in contact with them and see when they are available to load the sprinter the day before so you’re ready to go the morning of.  
*	Ronan (UL Arena), he is the one that sets up the arena wires and the power.   
  Contact him about when he is setting up the power etc. so ye can wither get him to chuck up the cables with your help or use the scaffolding to do it yourselves.  

[0]: https://nextcloud.skynet.ie/apps/onlyoffice/4373?filePath=%2FCompSoc%2F2021-22%2FRecDrive%2FC_S%20Fair%20Setup%20SOP.docx